<?php
session_start();
header("Content-type: text/html;charset=gbk");
error_reporting(0);;
$install = file_exists("install_lock.txt");
if(empty($install)){
	echo "<script>location.href='install/'</script>";
}
require("config.inc.php");
date_default_timezone_set('PRC');
function __autoload($className){
		if(substr($className, -6)=="Action"){
			include(APP_CLASS_PATH.'Action/'.ucfirst($className).".class.php");
		}elseif(substr($className, -5)=="Model"){
			include(APP_CLASS_PATH.'Model/'.$className.".class.php");
		}elseif($className=="Smarty"){
			include CMS_ROOT."Smarty/Smarty.class.php";
		}else{
			include(APP_CLASS_PATH.'Public/'.$className.".class.php");
		}
	}
?>
